notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Ukraine
Port details
rubygem-importmap-rails Use ESM with importmap to manage modern JavaScript in Rails without transpiling or bundling
1.1.2 www on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 1.0.3Version of this port present on the latest quarterly branch.
Maintainer: sunpoet@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2022-01-11 18:56:01
Last Update: 2022-06-21 20:58:28
Commit Hash: e39d523
Also Listed In: rubygems
License: MIT
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (3 items)
Collapse this list.
  1. /usr/local/share/licenses/rubygem-importmap-rails-1.1.2/catalog.mk
  2. /usr/local/share/licenses/rubygem-importmap-rails-1.1.2/LICENSE
  3. /usr/local/share/licenses/rubygem-importmap-rails-1.1.2/MIT
Collapse this list.
Dependency lines:
  • rubygem-importmap-rails>0:www/rubygem-importmap-rails
To install the port:
cd /usr/ports/www/rubygem-importmap-rails/ && make install clean
To add the package, run one of these commands:
  • pkg install www/rubygem-importmap-rails
  • pkg install rubygem-importmap-rails
NOTE: If this package has multiple flavors (see below), then use one of them instead of the name specified above.
PKGNAME: rubygem-importmap-rails
Flavors: there is no flavor information for this port.
distinfo:
Packages (timestamps in pop-ups are UTC):
rubygem-importmap-rails
ABIlatestquarterly
FreeBSD:11:aarch64--
FreeBSD:11:amd64--
FreeBSD:11:armv6--
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch64-1.0.3
FreeBSD:12:amd641.1.01.0.3
FreeBSD:12:armv6--
FreeBSD:12:armv7--
FreeBSD:12:i3861.1.01.0.3
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64--
FreeBSD:13:aarch641.1.01.0.3
FreeBSD:13:amd641.1.21.0.3
FreeBSD:13:armv6-1.0.3
FreeBSD:13:armv7-1.0.3
FreeBSD:13:i3861.1.21.0.3
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch641.1.0-
FreeBSD:14:amd641.1.2-
FreeBSD:14:armv6--
FreeBSD:14:armv71.0.3-
FreeBSD:14:i3861.1.2-
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. ruby30 : lang/ruby30
  2. gem : devel/ruby-gems
Runtime dependencies:
  1. rubygem-actionpack70>=6.0.0 : www/rubygem-actionpack70
  2. rubygem-railties70>=6.0.0 : www/rubygem-railties70
  3. ruby30 : lang/ruby30
  4. gem : devel/ruby-gems
Patch dependencies:
  1. ruby30 : lang/ruby30
  2. gem : devel/ruby-gems
Extract dependencies:
  1. ruby30 : lang/ruby30
This port is required by:
for Run
  1. www/rubygem-rails70

Configuration Options:
Options name:

USES:

FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://rubygems.org/downloads/
Collapse this list.

Number of commits found: 6

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
21 Jun 2022 20:58:28
 files touched by this commit commit hash:e39d523c627181cd36dd3b3dc9adf6a6bde9f342  1.1.2
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/rubygem-importmap-rails: Update to 1.1.2

Changes:	https://github.com/rails/importmap-rails/releases
03 Jun 2022 09:00:53
 files touched by this commit commit hash:b4a07f4738fc7efb2f7a1d5262bdcff7057cd855  1.1.0
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/rubygem-importmap-rails: Update to 1.1.0

Changes:	https://github.com/rails/importmap-rails/releases
06 Apr 2022 01:20:03
 files touched by this commit commit hash:c18c1057fd1e6a0dbd4800700b929064e43e1a29  1.0.3
Yasuhiro Kimura (yasu) search for other commits by this committer
*/*: Cleanup after removal of lang/ruby26

* Remove conditions that are applied to Ruby 2.6 or before.
* Remove BROKEN_RUBY26.
* Mark ports broken with all supported versions of Ruby as DEPRECATED
  and set EXPIRATION_DATE.

Reviewed by:	rene
Approved by:	rene (portmgr)
Differential Revision:	https://reviews.freebsd.org/D34745
07 Mar 2022 18:13:06
 files touched by this commit commit hash:6a278d38233745c48de9073ad820d9cbb080343f  1.0.3
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/rubygem-importmap-rails: Update to 1.0.3

Changes:	https://github.com/rails/importmap-rails/releases
25 Jan 2022 19:51:06
 files touched by this commit commit hash:9bb13546daed7d31510ecb92e7b7abc0726c4fac  1.0.2
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/rubygem-importmap-rails: Update to 1.0.2

Changes:	https://github.com/rails/importmap-rails/releases
11 Jan 2022 18:43:48
 files touched by this commit commit hash:2c7fd167ef29eb66efbfd8d7ff7894e1aea268d6  1.0.1
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/rubygem-importmap-rails: Add rubygem-importmap-rails 1.0.1

Import maps let you import JavaScript modules using logical names that map to
versioned/digested files -- directly from the browser. So you can build modern
JavaScript applications using JavaScript libraries made for ESM without the need
for transpiling or bundling.This frees you from needing Webpack, Yarn, npm, or
any other part of the JavaScript toolchain. All you need is the asset pipeline
that's already included in Rails.

With this approach you'll ship many small JavaScript files instead of one big
JavaScript file. Thanks to HTTP/2 that no longer carries a material performance
penalty during the initial transport, and in fact offers substantial benefits
over the long run due to better caching dynamics. Whereas before any change to
any JavaScript file included in your big bundle would invalidate the cache for
the the whole bundle, now only the cache for that single file is invalidated.

There's native support for import maps in Chrome/Edge 89+, and a shim available
for any browser with basic ESM support. So your app will be able to work with
all the evergreen browsers.

WWW: https://github.com/rails/importmap-rails

Number of commits found: 6